### Method

# Gio TcpConnection set_graceful_disconnect

since: 2.22

#### Declaration

    void
    g_tcp_connection_set_graceful_disconnect (
      GTcpConnection* connection,
      gboolean graceful_disconnect
    )

#### Description

This enables graceful disconnects on close. A graceful disconnect means that we signal the receiving end that the connection is terminated and wait for it to close the connection before closing the connection.

A graceful disconnect means that we can be sure that we successfully sent all the outstanding data to the other end, or get an error reported. However, it also means we have to wait for all the data to reach the other side and for it to acknowledge this by closing the socket, which may take a while. For this reason it is disabled by default.

Available since: 2.22

Sets property | `Gio.TcpConnection:graceful-disconnect`

#### Parameters

`graceful_disconnect`

  Type: `gboolean`

  Whether to do graceful disconnects or not.